Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.coverage.grid
Class MetadataNameNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.deegree.model.coverage.grid.MetadataNameNotFoundException

All Implemented Interfaces:
  Serializable

    public class MetadataNameNotFoundException

extends IllegalArgumentException

Thrown when a requested metadata is not found.

Version:
  Grid Coverage specification 1.0, $Revision: 20326 $, $Date: 2009-10-22 18:41:56 +0200 (Do, 22. Okt 2009) $
Author:
  OpenGIS® consortium, last edited by: $Author: mschneider $
See Also:
  `SampleDimension.getMetadataValue(java.lang.String)`, `Coverage.getMetadataValue(java.lang.String)`, "org.opengis.coverage.grid.GridCoverageReader#getMetadataValue", "org.opengis.coverage.processing.GridCoverageProcessor#getMetadataValue", Serialized Form

Constructor Summary
`MetadataNameNotFoundException()` Creates an exception with no message.
`MetadataNameNotFoundException(String message)` Creates an exception with the specified message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetadataNameNotFoundException

    public MetadataNameNotFoundException()

  Creates an exception with no message.

### MetadataNameNotFoundException

    public MetadataNameNotFoundException(String message)

  Creates an exception with the specified message.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org